//~ Copyright (C) 2003, Rene Rivera.
//~ Use, modification and distribution are subject to the
//~ Boost Software License, Version 1.0. (See accompanying file
//~ LICENSE_1_0.txt or copy at http://www.boost.org/LICENSE_1_0.txt)

#ifndef BOOST_DISABLE_WARNING_HPP
#define BOOST_DISABLE_WARNING_HPP

namespace boost
{
    
    namespace detail
    {
        
        inline void no_unused_variable_warning(const void *) { }
        
    }
}

/**
    When applied to a variable, local or argument, it prevents
    "unused variable" warnings.
*/
#define BOOST_NO_UNUSED_VARIABLE_WARNING(variable) \
    ::boost::detail::no_unused_variable_warning(&(variable))

#endif // BOOST_DISABLE_WARNING_HPP
